local menuButtons
do
	local loadButtons = function(...)
		menuButtons = {}
		
		for i = 1, select('#', ...) do
			local b = select(i, ...)
			local name = b:GetName()
				table.insert(menuButtons, b)
		end
	end
	loadButtons(QueueStatusMinimapButton)
end

QueueStatusMinimapButton:SetFrameStrata('TOOLTIP')
QueueStatusMinimapButton:SetFrameLevel(101)
QueueStatusFrame:SetFrameStrata('TOOLTIP')
QueueStatusFrame:SetFrameLevel(100)
QueueStatusFrame:SetClampedToScreen(true)
--local Anchor = {point="TOPRIGHT", relativeTo="QueueStatusMinimapButton", relativePoint="TOPLEFT", x="0", y="0",}

local tracker = CreateFrame("Frame", nil, UIParent)
tracker:SetPoint("BottomLeft")

local op = { Left = "Right", Right = "Left", }


function SetEffectiveScale(frame, scale)

end

QueueStatusFrame:SetScript("OnShow", function(self)
	tracker:SetPoint("Center", QueueStatusMinimapButton)
	local x, y = tracker:GetSize()
	local w, h = UIParent:GetSize()
	local Hori, Vert
	if  x > (w/2) then
		Hori = "Right"
	else
		Hori = "Left"
	end
	if  y > (h/2) then
		Vert = "Top"
	else
		Vert = "Bottom"
	end
	self:ClearAllPoints()
	self:SetPoint(Vert..Hori, QueueStatusMinimapButton, Vert..op[Hori])
	
	local eScale = self:GetEffectiveScale() 
	
	if eScale ~= 1 then
		self:SetScale(1 / UIParent:GetEffectiveScale());
	end	
end)



function SetEffectiveScale(frame, scale)

    frame.scale = scale;  -- Saved in case it needs to be re-calculated when the parent's scale changes.

    local parent = frame:GetParent();

    if ( parent ) then

        scale = scale / parent:GetEffectiveScale()

    end

    frame:SetScale(scale);

end


--[[ Minimap ]]--
local DMAP = Dominos:NewModule('random')
local MAP

function DMAP:Load()
	self.frame = MAP:New()
	self.frame:SetFrameStrata('LOW')
end

function DMAP:Unload()
	self.frame:Free()
end

MAP = Dominos:CreateClass('Frame', Dominos.Frame)

function MAP:New()
	local f = self.super.New(self, 'random')
	if not f.value then
		f:SetFrameStrata('BACKGROUND')
		f:LoadButtons()
	end
	f:Layout()
	return f
end

function MAP:GetDefaults()
	return {
		columns = 1,
		scale = 1,
		point = 'TOPRIGHT',
		y = -30.00006103515625,
		x = -163.3333740234375,
	}
end

function MAP:NumButtons()
	return #menuButtons
end

function MAP:AddButton(i)
	local b = menuButtons[i]
	if b then
		b:SetParent(self.header)
		self.buttons[i] = b
	end
end

function MAP:RemoveButton(i)
	local b = self.buttons[i]
	if b then
		b:SetParent(nil)
		b:Hide()

		self.buttons[i] = nil
	end
end

